import pygtk
pygtk.require('2.0')
import gtk, Gnumeric

def cb_ok (dialog, event, sheet, wb):
    """Called when user presses 'OK' in dialog."""
    if dialog: 
       dialog.destroy()
       print "Closed dialog box from sheet ", sheet.get_name_unquoted()
    return

def f_test (gui):
    """The function bound to the verb Test"""
    #pass
    p = Gnumeric.plugin_info   
    win = gui.get_window()
    wb  = gui.get_workbook()
    sheet = wb.sheets()[0]  # But I want the ACTIVE sheet!

    snew =  wb.sheet_add()
    print "Added new sheet ", snew.get_name_unquoted()
    snew[0,0].set_text("My new sheet")
    print "Set text: ", snew.get_name_unquoted()

    dialog = gtk.MessageDialog(win,
                               gtk.DIALOG_DESTROY_WITH_PARENT,
                               gtk.MESSAGE_INFO, gtk.BUTTONS_OK,
                               "You have made a simple button very happy." +
                               "\nPress OK")
    dialog.connect('response', cb_ok, sheet, wb)
    dialog.show()

    return

##################################################
# This dictionary binds verbs to Python functions.
##################################################
uitest_ui_verbs = {
    'UItest': f_test
}
